<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'provider',

    /*
     * Package.
     */
    'package'   => 'product',

    /*
     * Modules.
     */
    'modules'   => ['contact'],

    
    'contact'       => [
        'model' => [
            'model'                 => \Provider\Product\Models\Contact::class,
            'table'                 => 'contacts',
            'presenter'             => \Provider\Product\Repositories\Presenter\ContactPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['email',  'wsername'],
            'translatables'         => [],
            'upload_folder'         => 'product/contact',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Provider',
            'package'   => 'Product',
            'module'    => 'Contact',
        ],

    ],
];
