<?php

namespace Provider\Product\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ContactTransformer extends TransformerAbstract
{
    public function transform(\Provider\Product\Models\Contact $contact)
    {
        return [
            'id'                => $contact->getRouteKey(),
            'key'               => [
                'public'    => $contact->getPublicKey(),
                'route'     => $contact->getRouteKey(),
            ], 
            'email'             => $contact->email,
            'wsername'          => $contact->wsername,
            'url'               => [
                'public'    => trans_url('product/'.$contact->getPublicKey()),
                'user'      => guard_url('product/contact/'.$contact->getRouteKey()),
            ], 
            'status'            => trans('app.'.$contact->status),
            'created_at'        => format_date($contact->created_at),
            'updated_at'        => format_date($contact->updated_at),
        ];
    }
}